Description

Packaging code projects on Mac for HTML5 fails. A lot of Could not verify LLVM version warnings appear in the output log.

[2016.06.21-22.27.10:488][413]UATHelper: Packaging (HTML5): UnrealBuildTool: WARNING:root:Could not verify LLVM version: [Errno 13] Permission denied
[2016.06.21-22.27.10:488][413]UATHelper: Packaging (HTML5): UnrealBuildTool: WARNING:root:Could not verify LLVM version: [Errno 13] Permission denied
[2016.06.21-22.27.10:497][413]UATHelper: Packaging (HTML5): UnrealBuildTool: WARNING:root:cannot check node version: [Errno 13] Permission denied
[2016.06.21-22.27.10:497][413]UATHelper: Packaging (HTML5): UnrealBuildTool: WARNING:root:cannot check node version: [Errno 13] Permission denied

This issue was found when using a Github build from https://github.com/EpicGames/UnrealEngine/tree/master.
I downloaded the zips from the Master branch then extracted the files, ran setup.command, generateprojectfiles.command, then built UE4 for Development Editor Mac as well as UnrealLightmass and ShaderCompileWorker in Development.

Steps to Reproduce

1. Open UE4Editor.exe
2. Create a new Flying Code project
3. Build the <projectname.app> scheme for Development Editor in Xcode
4. Open UE4Editor.exe
5. Open the recently created Flying Code project
6. Select File > Package Project > Build Configuration > Development
7. Select File > Package Project > HTML5

RESULT:
The packaging process fails with a lot of Could not verify LLVM version warnings in the output log.

Have Comments or More Details?

There's no existing public thread on this issue, so head over toAnswerHub just mention UE-32340 in the post.

0
Login to Vote

Fixed
ComponentPlatform - Mobile
Affects Versions4.13
Target Fix4.13.1
Fix Commit3131237
CreatedJun 21, 2016
ResolvedSep 19, 2016
UpdatedApr 27, 2018